# Upgrade Account Notification

This service provides notifications regarding updates to KYC data verification results to the merchant environment.

### Technical Specification <a href="#technical-specification" id="technical-specification"></a>

<table><thead><tr><th width="204.33334350585938">Environment</th><th width="127">Method</th><th width="325.6666259765625">URL</th><th width="87.33331298828125">Version</th></tr></thead><tbody><tr><td>Development</td><td>POST</td><td>UrlCallbackMerchant</td><td>V 1.0.0</td></tr><tr><td>Production</td><td>POST</td><td>UrlCallbackMerchant</td><td>V 1.0.0</td></tr></tbody></table>

### Body Request <a href="#body-request" id="body-request"></a>

<table><thead><tr><th width="69.83335876464844" data-type="number">No</th><th width="149.83334350585938">Name</th><th width="110.66665649414062">Type</th><th width="109.66668701171875" valign="middle">Mandatory</th><th width="110" valign="top">Min Length</th><th width="109.5">Max Length</th><th width="169.6666259765625">Description</th><th data-hidden>No</th></tr></thead><tbody><tr><td>1</td><td>kycResponse</td><td>String</td><td valign="middle">M</td><td valign="top"></td><td></td><td><p>Response KYC </p><p></p><p>example: “KYC Rejected”</p><p>“KYC Approved”</p></td><td>1</td></tr><tr><td>2</td><td>kycMessage</td><td>String</td><td valign="middle">M</td><td valign="top"></td><td></td><td><p>Message Response KYC </p><p></p><p>example: “Your KYC has been rejected because…”</p></td><td>2</td></tr><tr><td>3</td><td>partnerReferenceNo</td><td>String</td><td valign="middle">M</td><td valign="top"></td><td></td><td><p>Transaction identifier number </p><p>from partner</p></td><td>3</td></tr><tr><td>4</td><td>phoneNo</td><td>String</td><td valign="middle">M</td><td valign="top"></td><td></td><td><p>Customer phone number</p><ul><li>62xx </li><li>60xx </li><li>81xx</li></ul></td><td>5</td></tr><tr><td>5</td><td>merchantId</td><td>String</td><td valign="middle">M</td><td valign="top"></td><td></td><td><p>Partner merchantID.</p><p>Provided by Finnet.</p></td><td>10</td></tr></tbody></table>

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
{
  "kycResponse": "KYC Rejected",
  "kysMessage": "Your KYC has been rejected because…",
  "partnerReferenceNo": "202411011441000012",
  "phoneNo": "6281295288912",
  "merchantId": "AGREE170724"
}
```

### Body Response <a href="#body-response" id="body-response"></a>

<table><thead><tr><th width="72.66665649414062">No</th><th width="164">Name</th><th width="99.33331298828125">Type</th><th width="121.33331298828125">Mandatory</th><th width="95">Min Length</th><th width="96.666748046875">Max Length</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>responseCode</td><td><a href="/pages/6ETR85uss1c5zyIS5Bhv">Enum</a></td><td>M</td><td></td><td></td><td>Response Code</td></tr><tr><td>2</td><td>responseMessage</td><td>String</td><td>M</td><td></td><td></td><td>Response Message.</td></tr></tbody></table>

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```
{
  "responseCode": "2000000",
  "responseMessage": "Request has been processed successfully",
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-money/linkage/upgrade-account/upgrade-account-notification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
